## gnustep-corebase 0.1.1%2B20230710

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" \
https://ftp.gnustep.org/pub/gnustep/libs/ \
  gnustep-corebase@ANY_VERSION@@ARCHIVE_EXT@
