## gnustep-corebase 0.1.1+20230710

=== debian/changelog ===
gnustep-corebase (0.1.1+20230710-5build2) questing; urgency=medium

  * Rebuild against latest gnustep

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 May 2025 08:39:03 -0400

gnustep-corebase (0.1.1+20230710-5build1) plucky; urgency=medium

  * Rebuild against new multiarch framework.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 22:28:29 +0100

gnustep-corebase (0.1.1+20230710-5) unstable; urgency=medium

  * debian/patches/lto.patch: New; fix bug in NSCFInitialize which caused
    CFArray to be unbridged thus resulting in testsuite failure with LTO
    (Closes: #1092335).  Thanks Matthias Klose for the report.
  * debian/control (Build-Depends): Require libgnustep-base-dev (>=
    1.30.0-10) for multiarch support.
    (libgnustep-corebase-dev) <Multi-Arch>: Set to same.
    <Recommends>: Promote -doc package from Suggests.
    (libgnustep-corebase0): Set as Multi-Arch: same.
    (gnustep-corebase-doc) <Recommends>: Add libgnustep-corebase-dev.
  * debian/libgnustep-corebase-dev.install: Update for multiarch.
  * debian/libgnustep-corebase0.install: Likewise (Closes: #1093973).
  * debian/rules (execute_before_dh_link): New override; run dh_gnustep so
    that the -dev package gets the necessary dependency.
  * debian/upstream/metadata: New file.
  * debian/salsa-ci.yml: Delete; we'll use the default Salsa recipe.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 28 Jan 2025 11:08:21 +0200

gnustep-corebase (0.1.1+20230710-4) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/NSCFString-missing-methods.patch: New; implement
    -cString and -UTF8String.  This is required so that code like
    [(CFStringRef)str UTF8String] works.  It got broken upstream when
    CFString was rewritten in C.
  * debian/patches/tests.patch: Unmark as hopeful a CFLocale test which
    was failing because of the above issue.
  * debian/patches/sparc64-CFTimeZone.patch: Skip a failing test which
    crashes with SIGSEGV in the PASS_CFEQ macro.  Cannot reproduce.
  * debian/patches/armhf-CFTimeZone.patch: New; mark a test as hopeful as
    it fails on at least one of the autobuilders.  Cannot reproduce.
  * debian/control (Homepage): Set to gnustep.org.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 26 Sep 2024 16:10:40 +0300

gnustep-corebase (0.1.1+20230710-3) experimental; urgency=medium

  * debian/patches/sparc64-CFTimeZone.patch: Run all bridge tests within
    an autorelease pool to avoid SIGSEGV on sparc64.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 20 Sep 2024 18:26:05 +0300

gnustep-corebase (0.1.1+20230710-2) experimental; urgency=medium

  * debian/patches/armhf-CFNumber.patch: New; fix FTBFS (testsuite
    failure) on armhf.  This is unlikely to be a bug in gnustep-base
    because both -floatValue and -doubleValue work on armhf.  Upstream
    code uses runtime functions to run directly the method implementations
    so it could be a runtime bug, or otherwise a toolchain bug.  This
    patch works around the problem by obtaining the value of the "value"
    ivar using runtime functions.  Tested on an arm64 machine with an
    armhf cross-toolchain.
  * debian/patches/hurd-implicit-func-decl.patch: New; fix FTBFS on
    GNU/Hurd by extending the GNU/Linux conditional.
  * debian/patches/big-endian-define.patch: New; fix FTBFS (testsuite
    failure) on big-endian architectures.  Tested on ppc64.
  * debian/patches/sparc64-CFTimeZone.patch: New; fix FTBFS (testsuite
    failure) on sparc64.  Prevent unaligned access due to packing of a
    struct which causes some tests to die with SIGBUS -- since this is
    undefined behavior for all platforms, let it apply to all
    architectures.  Tested on a sparc64 machine.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 20 Sep 2024 07:45:41 +0300

gnustep-corebase (0.1.1+20230710-1) experimental; urgency=medium

  * Initial release (Closes: #752553).

 -- Yavor Doganov <yavor@gnu.org>  Sat, 24 Aug 2024 11:42:05 +0300
