=== debian/control ===
Source: gnustep-corebase
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Yavor Doganov <yavor@gnu.org>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 libgnustep-base-dev (>= 1.30.0-10),
 libicu-dev,
 pkgconf,
Build-Depends-Indep:
 doxygen <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://www.gnustep.org
Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-corebase
Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-corebase.git

Package: libgnustep-corebase-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgnustep-base-dev,
 libgnustep-corebase0 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 gnustep-corebase-doc,
Description: GNUstep implementation of Apple's CoreFoundation (headers)
 The GNUstep CoreBase Library is a library of general-purpose,
 non-graphical C objects.  For example, it includes types for strings,
 collections, byte streams, typed coders, invocations, notifications,
 notification dispatchers, moments in time, network ports, and event
 loops.
 .
 It provides functionality that aims to implement the non-graphical
 portion of Apple's CoreFoundation framework.
 .
 This package contains the library headers, the .so symlink and the
 static library.

Package: libgnustep-corebase0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: GNUstep implementation of Apple's CoreFoundation (library)
 The GNUstep CoreBase Library is a library of general-purpose,
 non-graphical C objects.  For example, it includes types for strings,
 collections, byte streams, typed coders, invocations, notifications,
 notification dispatchers, moments in time, network ports, and event
 loops.
 .
 It provides functionality that aims to implement the non-graphical
 portion of Apple's CoreFoundation framework.
 .
 This package contains the shared library.

Package: gnustep-corebase-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 libgnustep-corebase-dev,
Description: GNUstep implementation of Apple's CoreFoundation (documentation)
 The GNUstep CoreBase Library is a library of general-purpose,
 non-graphical C objects.  For example, it includes types for strings,
 collections, byte streams, typed coders, invocations, notifications,
 notification dispatchers, moments in time, network ports, and event
 loops.
 .
 It provides functionality that aims to implement the non-graphical
 portion of Apple's CoreFoundation framework.
 .
 This package contains the API reference documentation in HTML format
 and examples.
