=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/GNUstep/debian/config.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --without-gcd

override_dh_auto_build-arch:
	dh_auto_build -- $(verbose) $(optim) \
	  $(shell dpkg-buildflags --export=cmdline)
	dh_auto_build -- $(verbose) shared=no

override_dh_auto_build-indep:
	doxygen

override_dh_auto_install-arch:
	dh_auto_install
	dh_auto_install -- shared=no

# Nothing to install; prevent useless build of the library.
override_dh_auto_install-indep: ;

override_dh_auto_test-arch:
	dh_auto_test -- $(verbose) || (cat Tests/tests.log; exit 1)

# Testsuite natually fails if the library is not built.
override_dh_auto_test-indep: ;

override_dh_auto_clean:
	-dh_auto_clean

execute_before_dh_link:
	gsdh_gnustep
