=== debian/tests/control ===
Tests: adequate testsuite
Restrictions: allow-stderr
Depends: @, @builddeps@, adequate, debhelper
